{% extends 'base.html' %}

{% block content %}
{% autoescape false %}
<!-- content/distribution.html -->
<div class="fr-col-12">
    <div class="fr-grid-row">
        <div class="fr-col-12 fr-col-lg-2">
            {% include 'content/side-nav.html' %}
        </div>

        <div class="fr-col-12 fr-col-lg-10">
            <section class="gn-main-content">
                <header class="fr-grid-row fr-grid-row--middle">
                    <h1 class="fr-h3">Listes de diffusion {% if currentCategoryName %} <br /><em class="fr-h6">{{ currentCategoryName }}</em> {% endif %}</h1>

                <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-lg fr-btns-group--icon-left">
                    <li><a href="{{ domain }}/communications/{{ user.organizationName }}" target="_blank" class="fr-btn">
                        <span class="fr-icon-eye-line fr-mr-1w" aria-hidden="true"></span>Visualiser la page publique
                    </a></li>
                    <li><button class="fr-btn fr-icon-add-circle-line fr-btn--icon-left" data-fr-opened="false"
                        aria-controls="newDistributionList">
                        Cr&eacute;er une liste
                    </button></li>
                </ul>
            </header>
            <div class="gn-content--spaced gn-cards-list gn-tabs">
                {% if categories|length > 0 %}
                    {% for category in categories %}
                    <section>
                        <h2 class="fr-h5">{{ category.name }}</h2>
                        {% if category.distributionLists|length > 0 %}
                        <div class="fr-grid-row fr-grid-row--gutters fr-grid-row-lg--gutters">
                            {% for distribution in category.distributionLists %}
                            <article class="fr-col-4" id="distributionList{{ distribution.id }}">
                                <div class="fr-card fr-card--sm gn-card">
                                    <div class="fr-card__body">
                                        <div class="fr-card__content">
                                            <h4 class="fr-card__title">{{ distribution.title }}</h4>
                                            <p class="fr-card__desc">{{ distribution.description|u.truncate(TRUNCATE_DEFAULT_LENGTH, '…', false) }}</p>
                                            <p class="fr-card__detail">{{ distribution.numberOfSubscriptions }} contact{% if distribution.numberOfSubscriptions > 1 %}s{% endif %}</p>
                                        </div>

                                        <div class="fr-card__footer">
                                            <ul
                                                class="fr-btns-group fr-btns-group--icon-left fr-btns-group--inline fr-btns-group--inline-lg">
                                                <li>
                                                    <button
                                                        class="fr-btn fr-btn--primary fr-icon-edit-fill edit-distribution"
                                                        data-distribution-id="{{ distribution.id }}">
                                                        Modifier
                                                    </button>
                                                </li>
                                                <li>
                                                    <button
                                                        class="fr-btn fr-btn--secondary fr-icon-eye-line view-distribution"
                                                        data-distribution-id="{{ distribution.id }}">
                                                        Voir
                                                    </button>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="fr-card__header">
                                        {% if distribution.image %}
                                            <div class="fr-card__img">
                                                <img class="fr-responsive-img" src="{{ distribution.image.url }}" alt="{{ distribution.title }}" title="{{ distribution.title }}" />
                                            </div>
                                        {% endif %}
                                        <nav class="gn-actions">
                                            <button onclick="event.preventDefault(); window.open('{{ domain }}/imprimer/{{ distribution.id }}','_blank');"
                                                class="fr-btn--sm fr-btn fr-btn--tertiary-no-outline fr-icon-printer-line print-distributionList"
                                                title="Imprimer">Imprimer
                                            </button>
                                            <button
                                                class="fr-btn--sm fr-btn  fr-btn--tertiary-no-outline fr-fi-delete-line delete-distributionList"
                                                data-distribution-id="{{ distribution.id }}"
                                                title="Supprimer">Supprimer
                                            </button>
                                        </nav>
                                    </div>
                                </div>
                            </article>
                            {% endfor %}
                        </div>
                        {% else %}
                            <em>Aucune liste de diffusion enregistr&eacute;e pour cette cat&eacute;gorie...</em>
                        {% endif %}
                    </section>
                    {% endfor %}
                {% else %}
                    <em>Aucune cat&eacute;gorie enregistr&eacute;e pour le moment...</em>
                {% endif %}
            </div>
        </section>
    </div>
</div>

{% include './modals/distributionList/create-distribution.html' %}
{% include './modals/distributionList/edit-distribution.html' %}
{% include './modals/distributionList/delete-distribution.html' %}
{% include './modals/distributionList/view-distribution.html' %}

{% endautoescape %}
{% endblock %}

{% block script %}
{% autoescape %}
<script type="text/javascript">

    var csrfName = '{{ csrf.name }}';
    var csrfValue = '{{ csrf.value }}';

    $('button.delete-distributionList').on('click', function () {
        var distributionListId = $(this).data('distributionId');
        GN.openModal('deleteDistributionListModal');
        $('#deleteDistributionListModal input[name="distributionList-id"]').val(distributionListId);
        $('#deleteDistributionListModal span.distributionList-name').html($('article#distributionList' + distributionListId + ' h4').html());
    });

    $('button.view-distribution').on('click', function () {
        loadViewDistributionListModal($(this).data('distributionId'));
    });

    $('button.edit-distribution').on('click', function () {
        loadEditDistributionListModal($(this).data('distributionId'));
    });

</script>
{% endautoescape %}
{% endblock %}
